import React, {Fragment, useEffect, useState} from "react";
import { Input , Select} from "antd";

const timeList = [
    {
        label: "分钟",
        key: "minutes",
        value: "minutes"
    },
    {
        label: "小时",
        key: "hours",
        value: "hours"
    },
    {
        label: "天",
        key: "days",
        value: "days"
    },
    {
        label: "月",
        key: "months",
        value: "months"
    },
    {
        label: "年",
        key: "years",
        value: "years"
    }
]

const TimeInterval = (props) => {
    const { onChange , value , addons} = props;

    const valList = value ? value.split(','): [];

    const [val , setVal] = useState(valList[0] || "0");
    const [unit , setUnit] = useState(valList[1] || "minutes")

    const selectAfter = (
        <Select value={unit}
                options={timeList}
                onChange={val => {
                    setUnit(val)
                }} />
    );

    useEffect(() => {
        if(val && unit){
            onChange(`${val},${unit}`)
        } else {
            onChange("");
        }
    } , [unit , val])

    return (
        <Fragment>
            <Input value={val}
                   addonAfter={selectAfter}
                   onChange={e => {
                       const inputVal = e.target.value;
                       setVal(inputVal);
                   }} />
        </Fragment>
    )
}

export default TimeInterval;
